# autoflag.h File Reference

Defines a template for setting a flag within a given variable scope, and resetting it when exiting that scope. More...

Go to the source code of this file.

## Classes

class | AutoFlag< T >
| A template for setting a flag on a variable as long as the object that set it is in scope. Flag resets when object goes out of scope. Works on anything that looks like bool. More...

## Detailed Description

Defines a template for setting a flag within a given variable scope, and resetting it when exiting that scope.